import { get, post } from "@/config/request";
import axios from "axios";
const url = "http://rule.sidali.sixsenz.net";

export const notifLaporanBaru = async (data) => {
	try {
		const response = await axios.post(url + "/notifikasi/laporan-baru", data);
		return response.data;
	} catch (error) {
		if (error.response?.data) return error.response.data;
		console.log(error);
		return false;
	}
};

export const notifKeberatan = async (data) => {
	try {
		const response = await axios.post(url + "/notifikasi/keberatan", data);
		return response.data;
	} catch (error) {
		if (error.response?.data) return error.response.data;
		console.log(error);
		return false;
	}
};

export const notifBanding = async (data) => {
	try {
		const response = await axios.post(url + "/notifikasi/banding", data);
		return response.data;
	} catch (error) {
		if (error.response?.data) return error.response.data;
		console.log(error);
		return false;
	}
};

export const notifDocPerbaikan = async (data) => {
	try {
		const response = await axios.post(url + "/notifikasi/doc-perbaikan", data);
		return response.data;
	} catch (error) {
		if (error.response?.data) return error.response.data;
		console.log(error);
		return false;
	}
};
